#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	

	w = 250;
	h = 200;
	
	texColor.allocate(w,h,GL_RGB);
	
	colorPixels 		= new unsigned char [w*h*3];

	
	// color pixels, use w and h to control red and green
	for (int i = 0; i < w; i++){
		for (int j = 0; j < h; j++){
			colorPixels[(j*w+i)*3 + 0] = i;	// r
			colorPixels[(j*w+i)*3 + 1] = j;	// g
			colorPixels[(j*w+i)*3 + 2] = 0; // b
		}
	}
	
	texColor.loadData(colorPixels, w,h, GL_RGB);
	texColor.setupDisplayList(w, h);

}
 

//--------------------------------------------------------------
void testApp::update(){
	
	ofBackground(255,255,255);

	
}

//--------------------------------------------------------------
void testApp::draw(){

	ofSetColor(0xffffff);

	for(int i = 0; i < 500; i++){
		texColor.draw(ofRandom(0, 1024), ofRandom(0, 768) ,w,h);
	}
	
	ofSetColor(0x000000);
	ofDrawBitmapString("press 1 to disable display list - 2 to enable display list\n"+ofToString(ofGetFrameRate()), 10, 20);
	
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	if(key =='1')texColor.setUseList(true);
	if(key =='2')texColor.setUseList(false);
}

//--------------------------------------------------------------
void testApp::keyReleased(int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}

